package cn.com.qmth.stmms.biz.role.service;

import java.util.Set;

import cn.com.qmth.stmms.common.enums.Auth;
import cn.com.qmth.stmms.common.enums.Role;

public interface RoleAuthService {

    public Set<Auth> findAuthByRole(Role role);

    public void updateRoleAuth(String roleName, String[] authNames);

    public Role findRoleByName(String name);

    public Auth findAuthByName(String name);

}
